<?php  
session_start(); 
if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}

	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	$eve = "select * from res_meeting_master";
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 
				$meetingmid=$rt['meetingmid'];
				$meetingplacetype=$rt['meetingplacetype'];
				$meetinglink=$rt['meetinglink'];
				$meetingagenda=$rt['meetingagenda'];
				$meetingminutes=$rt['meetingminutes'];
				$meetingcloseddatetime=$rt['meetingcloseddatetime'];
				$meetingdate=date("d-m-Y",strtotime($rt['meetingdate']));
				
				$pidedit='';
				$currentfile1 = basename($_SERVER['PHP_SELF']);
				 $currentfile = ltrim($currentfile1, 'json');
											$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maedit=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				
				
				
				$pidedit="<a href='meetingedit.php?id=".$rt['meetingmid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				
				}
				
				$piddelete='';
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and madelete=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				
				
				$piddelete="<a href='meetingdelete.php?id=".$rt['meetingmid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";	
					}				
                $op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				
				$meetinglink = "<a href='$meetinglink' target='_blank'>$meetinglink</a>";
				if($meetingcloseddatetime == NULL)
				{
				 $aa = "<a href='#' data-bs-toggle='modal' data-id='".$meetingmid."' data-bs-target='#kt_modal_close_meeting' class='btn btn-sm btn-primary align-self-center' id='closemeeting'>Close Meeting</a>";
				}else{
					
					$aa = "<a href='#' data-bs-toggle='modal' data-id='".$meetingmid."' data-bs-target='#kt_modal_close_meeting1' class='btn btn-sm btn-primary align-self-center' id='closemeeting1'>Closed</a>";
				}
								
				$posts[] = array('srno'=> $i++,'op'=> $op,'piddelete'=> $piddelete, 'meetingplacetype'=> $meetingplacetype, 'meetinglink'=> $meetinglink, 'meetingagenda'=> $meetingagenda, 'meetingagenda'=> $meetingagenda, 'meetingminutes'=> $meetingminutes, 'meetingdate'=> $meetingdate, 'meetingclose'=> $aa);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>